plugins {
    id("gradle.java-library-conventions")
    alias(libs.plugins.javafx)
}

dependencies {
    implementation(project(":prometeu-infra"))
    implementation(project(":prometeu-lsp:prometeu-lsp-api"))
    implementation(project(":prometeu-packer:prometeu-packer-api"))
    implementation(project(":prometeu-compiler:prometeu-compiler-core"))
    implementation(project(":prometeu-compiler:prometeu-build-pipeline"))
    implementation(project(":prometeu-compiler:prometeu-frontend-api"))
    implementation(project(":prometeu-compiler:prometeu-frontend-registry"))
    implementation(libs.javafx.controls)
    implementation(libs.javafx.fxml)
    implementation(libs.richtextfx)
    testImplementation(project(":prometeu-packer:prometeu-packer-v1"))
}

javafx {
    version = libs.versions.javafx.get()
    modules("javafx.controls", "javafx.fxml")
}
